You are not logged in.

#1 2017-02-28 05:20:23

yangtsesu
Member
Registered: 2011-08-20
Posts: 34

bbswitch do not work with linux 4.10.1

Nvidia grahpic card do not work after upgrate.
linux 4.10.1
bbswitch 0.8-64
nvidia 378.13-3

[    9.859807] bbswitch: loading out-of-tree module taints kernel.
[    9.860049] bbswitch: version 0.8
[    9.860053] bbswitch: Found integrated VGA device 0000:00:02.0: \_SB_.PCI0.GFX0
[    9.860060] bbswitch: Found discrete VGA device 0000:04:00.0: \_SB_.PCI0.RP05.PXSX
[    9.860069] bbswitch: failed to evaluate \_SB_.PCI0.RP05.PXSX._DSM {0xF8,0xD8,0x86,0xA4,0xDA,0x0B,0x1B,0x47,0xA7,0x2B,0x60,0x42,0xA6,0xB5,0xBE,0xE0} 0x100 0x0 {0x00,0x00,0x00,0x00}: AE_NOT_FOUND
[    9.860074] bbswitch: failed to evaluate \_SB_.PCI0.RP05.PXSX._DSM {0xA0,0xA0,0x95,0x9D,0x60,0x00,0x48,0x4D,0xB3,0x4D,0x7E,0x5F,0xEA,0x12,0x9F,0xD4} 0x102 0x0 {0x00,0x00,0x00,0x00}: AE_NOT_FOUND
[    9.860082] ACPI Warning: \_SB.PCI0.GFX0._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20160930/nsarguments-95)
[    9.860126] bbswitch: No suitable _DSM call found.

downgrade to
# pacman -U ./linux-4.9.11-1-x86_64.pkg.tar.xz ./nvidia-378.13-2-x86_64.pkg.tar.xz ./bbswitch-0.8-63-x86_64.pkg.tar.xz
everything works well.

Offline

#2 2017-02-28 05:43:44

yangtsesu
Member
Registered: 2011-08-20
Posts: 34

Re: bbswitch do not work with linux 4.10.1

[   71.996575] nvidia: module license 'NVIDIA' taints kernel.
[   71.996576] Disabling lock debugging due to kernel taint
[   72.003347] nvidia 0000:04:00.0: enabling device (0006 -> 0007)
[   72.003530] nvidia-nvlink: Nvlink Core is being initialized, major device number 243
[   72.003547] NVRM: loading NVIDIA UNIX x86_64 Kernel Module  378.13  Tue Feb  7 20:10:06 PST 2017
[   72.003547]  (using threaded interrupts)

[   73.108830] NVRM: failed to copy vbios to system memory.
[   73.108938] NVRM: RmInitAdapter failed! (0x30:0xffff:654)

Offline

#3 2017-02-28 05:49:14

yangtsesu
Member
Registered: 2011-08-20
Posts: 34

Re: bbswitch do not work with linux 4.10.1

I try to use this patch,it do not work too.
https://bugs.archlinux.org/task/53094?s … &closedto=

Offline

#4 2017-02-28 06:08:09

yangtsesu
Member
Registered: 2011-08-20
Posts: 34

Re: bbswitch do not work with linux 4.10.1

dmesg with 4.9.11

[    8.079197] bbswitch: loading out-of-tree module taints kernel.
[    8.079371] bbswitch: version 0.8
[    8.079374] bbswitch: Found integrated VGA device 0000:00:02.0: \_SB_.PCI0.GFX0
[    8.079379] bbswitch: Found discrete VGA device 0000:04:00.0: \_SB_.PCI0.RP05.PEGP
[    8.079387] ACPI Warning: \_SB.PCI0.RP05.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20160831/nsarguments-95)
[    8.079508] bbswitch: detected an Optimus _DSM function
[    8.079519] pci 0000:04:00.0: enabling device (0006 -> 0007)
[    8.079572] bbswitch: Succesfully loaded. Discrete card 0000:04:00.0 is on
[    8.081011] bbswitch: disabling discrete graphics
[    8.081020] ACPI Warning: \_SB.PCI0.RP05.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20160831/nsarguments-95)

Offline

#5 2017-02-28 13:02:05

IncredibleLaser
Member
From: Germany, NRW
Registered: 2008-07-16
Posts: 157

Re: bbswitch do not work with linux 4.10.1

Currently offline but can confirm the issue on Acer Aspire V5-573G. Can file a proper bug after work.

Offline

#6 2017-03-12 12:43:11

nnnn20430
Member
Registered: 2016-06-14
Posts: 2

Re: bbswitch do not work with linux 4.10.1

strange upgrading to 4.10.1 i get all this new errors
[    0.933872] Error parsing PCC subspaces from PCCT
[    7.547360] ACPI Error: [\_SB_.PCI0.GFX0.DD02._BCL] Namespace lookup failure, AE_NOT_FOUND (20160930/psargs-359)
[    7.547369] ACPI Error: Method parse/execution failed [\_SB.PCI0.PEG0.PEGP.DD02._BCL] (Node ffff8802568f6168), AE_NOT_FOUND (20160930/psparse-543)

and constant
[  402.737221] ACPI Warning: \_SB.PCI0.PEG0.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20160930/nsarguments-95)

but my bbswitch still works and so does the nvidia gpu
[   10.799337] bbswitch: Found integrated VGA device 0000:00:02.0: \_SB_.PCI0.GFX0
[   10.799342] bbswitch: Found discrete VGA device 0000:01:00.0: \_SB_.PCI0.PEG0.PEGP
[   10.799414] bbswitch: detected an Optimus _DSM function
[   10.799425] pci 0000:01:00.0: enabling device (0006 -> 0007)
[   10.799478] bbswitch: Succesfully loaded. Discrete card 0000:01:00.0 is on
[   10.800993] bbswitch: disabling discrete graphics

Offline

#7 2017-03-12 21:21:09

r4i
Member
From: SPb, Russia
Registered: 2017-03-10
Posts: 3

Re: bbswitch do not work with linux 4.10.1

yangtsesu wrote:

nvidia 378.13-3
.

this

Linux 4.9 (installed 4.9.14-1-lts) + nvidia-375.26 + bumblebee bundle (bumblebee, primus, virtualgl and bbswitch or bbswitch-lts) and all works perfectly.
Linux 4.10 isn't compatible with nvidia-375 (module build failed).
And any kernel (4.9 / 4.10) with nvidia-378.13 freezes the entire system when bbswitch turned off nvidia.

//nvidia-378.13 is LTS — LOL

Last edited by r4i (2017-03-14 01:49:25)

Offline

#8 2017-04-23 09:06:52

yangtsesu
Member
Registered: 2011-08-20
Posts: 34

Re: bbswitch do not work with linux 4.10.1

4.10.10 works.

Offline

Board footer

Powered by FluxBB